package com.devplatform.admin.modules.eq.bean;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author dxw
 */
@Data
@ApiModel(value="风冷热泵机组信息对象",description="风冷热泵机组信息对象")
@TableName("flrb_info")
public class FlrbInfo implements Serializable {
	private static final long serialVersionUID = 1L;

	/** 主键id */
	@ApiModelProperty(value="主键ID",name="id")
	@TableId
	private java.lang.String id;
	/** 资源点id */
	@ApiModelProperty(value="资源点id",name="resourceId")
	private java.lang.String resourceId;
	/** A相电压 */
	@ApiModelProperty(value="A相电压",name="phaseAVoltage")
	private java.lang.String phaseAVoltage;
	/** B相电压 */
	@ApiModelProperty(value="B相电压",name="phaseBVoltage")
	private java.lang.String phaseBVoltage;
	/** C相电压 */
	@ApiModelProperty(value="C相电压",name="phaseCVoltage")
	private java.lang.String phaseCVoltage;
	/** A相电流 */
	@ApiModelProperty(value="A相电流",name="phaseACurrent")
	private java.lang.String phaseACurrent;
	/** B相电流 */
	@ApiModelProperty(value="B相电流",name="phaseBCurrent")
	private java.lang.String phaseBCurrent;
	/** C相电流 */
	@ApiModelProperty(value="C相电流",name="phaseCCurrent")
	private java.lang.String phaseCCurrent;
	/** A相功率因数 */
	@ApiModelProperty(value="A相功率因数",name="phaseAPowerFactor")
	private java.lang.String phaseAPowerFactor;
	/** B相功率因数 */
	@ApiModelProperty(value="B相功率因数",name="phaseBPowerFactor")
	private java.lang.String phaseBPowerFactor;
	/** C相功率因数 */
	@ApiModelProperty(value="C相功率因数",name="phaseCPowerFactor")
	private java.lang.String phaseCPowerFactor;
	/** A相功率 */
	@ApiModelProperty(value="A相功率",name="phaseAPower")
	private java.lang.String phaseAPower;
	/** B相功率 */
	@ApiModelProperty(value="B相功率",name="phaseBPower")
	private java.lang.String phaseBPower;
	/** C相功率 */
	@ApiModelProperty(value="C相功率",name="phaseCPower")
	private java.lang.String phaseCPower;
	/** 电能 */
	@ApiModelProperty(value="电能",name="electricEnergy")
	private java.lang.String electricEnergy;
	/** 电源相序保护报警 */
	@ApiModelProperty(value="电源相序保护报警",name="powerProtectionAlarm")
	private java.lang.String powerProtectionAlarm;
	/** 水流报警 */
	@ApiModelProperty(value="水流报警",name="waterFlowAlarm")
	private java.lang.String waterFlowAlarm;
	/** 风水模式 */
	@ApiModelProperty(value="风水模式",name="fengShuiMode")
	private java.lang.String fengShuiMode;
	/** 热水模式 */
	@ApiModelProperty(value="热水模式",name="hotWaterMode")
	private java.lang.String hotWaterMode;
	/** 供水温度 */
	@ApiModelProperty(value="供水温度",name="waterSupplyTemperature")
	private java.lang.String waterSupplyTemperature;
	/** 回水温度 */
	@ApiModelProperty(value="回水温度",name="returnWaterTemperature")
	private java.lang.String returnWaterTemperature;
	/** 制热启动温度 */
	@ApiModelProperty(value="制热启动温度",name="heatingStartTemperature")
	private java.lang.String heatingStartTemperature;
	/** 制热停止温度 */
	@ApiModelProperty(value="制热停止温度",name="heatingStopTemperature")
	private java.lang.String heatingStopTemperature;
	/** 室内环境温度 */
	@ApiModelProperty(value="室内环境温度",name="indoorAmbientTemperature")
	private java.lang.String indoorAmbientTemperature;
	/** 出风温度 */
	@ApiModelProperty(value="出风温度",name="outletTemperature")
	private java.lang.String outletTemperature;
	/** 回风温度 */
	@ApiModelProperty(value="回风温度",name="returnAirTemperature")
	private java.lang.String returnAirTemperature;
	/** 热风启动温度 */
	@ApiModelProperty(value="热风启动温度",name="hotAirStartTemperature")
	private java.lang.String hotAirStartTemperature;
	/** 热风停止温度 */
	@ApiModelProperty(value="热风停止温度",name="hotAirStopTemperature")
	private java.lang.String hotAirStopTemperature;
	/** 电表通讯故障 */
	@ApiModelProperty(value="电表通讯故障",name="communicationFailure")
	private java.lang.String communicationFailure;
	/** 类型(1手动，2节能) */
	@ApiModelProperty(value="类型(1手动，2节能)",name="type")
	private Integer type;
	/** 站点表id */
	@ApiModelProperty(value="站点表id",name="stationId")
	private java.lang.String stationId;
	/** 创建时间 */
	@ApiModelProperty(value="创建时间",name="createTime")
	private java.util.Date createTime;
}
