package com.devplatform.admin.modules.eq.dao;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.devplatform.admin.modules.eq.bean.ExcelInfo;
import com.devplatform.admin.modules.eq.bean.SbInfoHour;
import com.devplatform.admin.modules.eq.model.SbInfoHourModel;
import com.devplatform.common.dao.MyBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * PfjInfoHour Mapper
 * 用于排风机信息-时的数据库操作
 * @author Administrator
 *
 */
@Mapper
public interface SbInfoHourDao extends MyBaseMapper<SbInfoHour> {

    /**
     * 查询分页数量
     * @param model
     * @return
     */
    Integer queryPageByCount(SbInfoHourModel model);

    /**
     * 查询排风机信息-时分页数据
     * @param model
     * @return
     */
    List<SbInfoHour> queryPageList(SbInfoHourModel model);

    Page<Map<String, Object>> queryPageListByParam(@Param("page") Page<Map<String, Object>> page,
                                                   @Param("params") Map<String, Object> params);

    List<Map<String, Object>> queryListByParam(@Param("startTime")String startTime,@Param("endTime")String endTime);

    List<ExcelInfo> queryList(@Param("params") Map<String, Object> params);
}
